Deprecate custom field option
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/customFields/{fieldUid}/options/{optionUid}/deprecate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"deprecated": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/customFields/{fieldUid}/options/{optionUid}/deprecate"
payload = { "deprecated": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({deprecated: true})
};
fetch('https://cloud.memsource.com/web/api2/v1/customFields/{fieldUid}/options/{optionUid}/deprecate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom Fields
Deprecate custom field option
Deprecates or reactivates a single option of a SINGLE_SELECT or MULTI_SELECT custom field.
Set deprecated to true to deprecate the option or to false to reactivate it.
PUT
/
api2
/
v1
/
customFields
/
{fieldUid}
/
options
/
{optionUid}
/
deprecate
Deprecate custom field option
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the custom field
Unique identifier of the custom field option
Body
application/json
Deprecation state to apply to the option
Whether the option should be deprecated (true) or reactivated (false)
Response
No Content
Was this page helpful?
⌘I